org.jboss.jca.as.converters.wls.api.metadata

## Interface PoolParams

- All Superinterfaces:
    java.io.Serializable, WlsMetadata
  All Known Implementing Classes:
    PoolParamsImpl

      public interface PoolParams
      extends WlsMetadata

  A generic PoolParams.
  Author:
    Jeff Zhang

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `PoolParams.Attribute` A Attribute.
    `static class` | `PoolParams.Tag` A Tag.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getCapacityIncrement()` getCapacityIncrement
    `java.lang.Integer` | `getConnectionCreationRetryFrequencySeconds()` getConnectionCreationRetryFrequencySeconds
    `java.lang.Integer` | `getConnectionReserveTimeoutSeconds()` getConnectionReserveTimeoutSeconds
    `java.lang.Integer` | `getHighestNumUnavailable()` getHighestNumUnavailable
    `java.lang.Integer` | `getHighestNumWaiters()` getHighestNumWaiters
    `java.lang.Boolean` | `getIgnoreInUseConnectionsEnabled()` getIgnoreInUseConnectionsEnabled
    `java.lang.Integer` | `getInitialCapacity()` getInitialCapacity
    `java.lang.Boolean` | `getMatchConnectionsSupported()` getMatchConnectionsSupported
    `java.lang.Integer` | `getMaxCapacity()` getMaxCapacity
    `java.lang.Integer` | `getProfileHarvestFrequencySeconds()` getProfileHarvestFrequencySeconds
    `java.lang.Integer` | `getShrinkFrequencySeconds()` getShrinkFrequencySeconds
    `java.lang.Boolean` | `getShrinkingEnabled()` getShrinkingEnabled
    `java.lang.Boolean` | `getTestConnectionsOnCreate()` getTestConnectionsOnCreate
    `java.lang.Boolean` | `getTestConnectionsOnRelease()` getTestConnectionsOnRelease
    `java.lang.Boolean` | `getTestConnectionsOnReserve()` getTestConnectionsOnReserve
    `java.lang.Integer` | `getTestFrequencySeconds()` getTestFrequencySeconds
    `java.lang.Boolean` | `getUseFirstAvailable()` getUseFirstAvailable

- - ### Method Detail

    - #### getInitialCapacity

          java.lang.Integer getInitialCapacity()

      getInitialCapacity
      Returns:
        the InitialCapacity

    - #### getMaxCapacity

          java.lang.Integer getMaxCapacity()

      getMaxCapacity
      Returns:
        the MaxCapacity

    - #### getCapacityIncrement

          java.lang.Integer getCapacityIncrement()

      getCapacityIncrement
      Returns:
        the CapacityIncrement

    - #### getShrinkingEnabled

          java.lang.Boolean getShrinkingEnabled()

      getShrinkingEnabled
      Returns:
        the ShrinkingEnabled

    - #### getShrinkFrequencySeconds

          java.lang.Integer getShrinkFrequencySeconds()

      getShrinkFrequencySeconds
      Returns:
        the ShrinkFrequencySeconds

    - #### getHighestNumWaiters

          java.lang.Integer getHighestNumWaiters()

      getHighestNumWaiters
      Returns:
        the HighestNumWaiters

    - #### getHighestNumUnavailable

          java.lang.Integer getHighestNumUnavailable()

      getHighestNumUnavailable
      Returns:
        the HighestNumUnavailable

    - #### getConnectionCreationRetryFrequencySeconds

          java.lang.Integer getConnectionCreationRetryFrequencySeconds()

      getConnectionCreationRetryFrequencySeconds
      Returns:
        the ConnectionCreationRetryFrequencySeconds

    - #### getConnectionReserveTimeoutSeconds

          java.lang.Integer getConnectionReserveTimeoutSeconds()

      getConnectionReserveTimeoutSeconds
      Returns:
        the ConnectionReserveTimeoutSeconds

    - #### getTestFrequencySeconds

          java.lang.Integer getTestFrequencySeconds()

      getTestFrequencySeconds
      Returns:
        the TestFrequencySeconds

    - #### getTestConnectionsOnCreate

          java.lang.Boolean getTestConnectionsOnCreate()

      getTestConnectionsOnCreate
      Returns:
        the TestConnectionsOnCreate

    - #### getTestConnectionsOnRelease

          java.lang.Boolean getTestConnectionsOnRelease()

      getTestConnectionsOnRelease
      Returns:
        the TestConnectionsOnRelease

    - #### getTestConnectionsOnReserve

          java.lang.Boolean getTestConnectionsOnReserve()

      getTestConnectionsOnReserve
      Returns:
        the TestConnectionsOnReserve

    - #### getProfileHarvestFrequencySeconds

          java.lang.Integer getProfileHarvestFrequencySeconds()

      getProfileHarvestFrequencySeconds
      Returns:
        the ProfileHarvestFrequencySeconds

    - #### getIgnoreInUseConnectionsEnabled

          java.lang.Boolean getIgnoreInUseConnectionsEnabled()

      getIgnoreInUseConnectionsEnabled
      Returns:
        the IgnoreInUseConnectionsEnabled

    - #### getMatchConnectionsSupported

          java.lang.Boolean getMatchConnectionsSupported()

      getMatchConnectionsSupported
      Returns:
        the MatchConnectionsSupported

    - #### getUseFirstAvailable

          java.lang.Boolean getUseFirstAvailable()

      getUseFirstAvailable
      Returns:
        the UseFirstAvailable

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)